#pragma once

#include <QDialog>
#include "ui_camera_glue.h"
#include "basecamera.h"
#include "common.h"
class camera_glue : public QDialog
{
	Q_OBJECT

public:
	camera_glue(QDialog *parent = Q_NULLPTR);
	~camera_glue();
signals:
	void sendMsgToDialogSetup(int ptr[][3]);

public slots:
	void recMsgFromDialogSetup(int ptr[][3]);
	void on_pushButton_take_released(void);

private:
	Ui::camera_glue ui;
	QSpinBox *spinBox[NumberOfSupportedCameras][3];
	SysConf local_SysConf;
};
